--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
if self.isEntered then	
		if self.handbrake then
			if Input.isKeyPressed(Input.KEY_0) then
				self.handBrakeHud:render();
			end;
		self.handBrakeHud:render();
		end;
		g_currentMission:addHelpButtonText(g_i18n:getText("TOGGLE_SHOW_HELP"), InputBinding.TOGGLE_SHOW_HELP);
			end;

	            if not self.showHelp then
			
		        renderText(0.72, 0.20, 0.02, "");
		
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		
					
		renderText(0.72, 0.83, 0.018, "Zuk");
		renderText(0.72, 0.81, 0.018, "Klawisz Numpad 1: Kierunkowskaz lewy");
		renderText(0.72, 0.79, 0.018, "Klawisz Numpad 2: Swiatla awaryjne");			
		renderText(0.72, 0.77, 0.018, "Klawisz Numpad 3: Kierunkowskaz prawy");
		renderText(0.72, 0.75, 0.018, "Klawisz Numpad 4: Drzwi lewe");
		renderText(0.72, 0.73, 0.018, "Klawisz Numpad 5: Drzwi prawe");
                renderText(0.72, 0.71, 0.018, "Klawisz Numpad 6 Swiatla dlugie");
		renderText(0.72, 0.69, 0.018, "Klawisz Numpad 7: Burta lewa");
		renderText(0.72, 0.67, 0.018, "Klawisz Numpad 8: Burta prawa");
		renderText(0.72, 0.65, 0.018, "Klawisz Numpad 9: Burta tyl");
		renderText(0.72, 0.63, 0.018, "Klawisz Numpad enter: Halogen tyl");
		renderText(0.72, 0.61, 0.018, "Klawisz f: Swiatla mijania");
                renderText(0.72, 0.59, 0.018, "Klawisz Delete: Halogeny przod");
		renderText(0.72, 0.57, 0.018, "Klawisz 0: Klakson");
		renderText(0.72, 0.55, 0.018, "Przyczepa");
                renderText(0.72, 0.53, 0.018, "Klawisz 5: Burta tyl");
	end;
  end;



function ShowHelp:onLeave()
	self.showHelp = false;
end;




